Emmabuntüs Forum
Collectif pour le réemploi des ordinateurs et distribution Linux basée sur Debian

  Accueil -  Tutoriels -  Téléchargements -  Vidéos -  Interviews -  Qui sommes-nous -  Nous contacter -  Soutenir


Installation d'openRA impossible DE3 1.02 32 bits et DE4 1.00 64bits

0 Membres et 1 Invité sur ce sujet

lapinkisskool

  • Newbie
  • *
    • Messages: 44
Bonjour,
L'installation du jeu openRA qui regroupe les logiciels de la fin des années 90 : command & conquer, red alert et dune 2000 est impossible. Pourtant on voit ien les logiciels dansle sous menu jeux.
Voici le message d'erreur au démarrage :

Dune 2000 has encountered a fatal error.
Please refer to the crash logs and FAQ for more information.

Log files are located in ~/.openra/Logs
The FAQ is available at http://wiki.openra.net/FAQ

C'est un peu domage, niveau retrogaming cela reste des jeux interessants.
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 960
    • Emmabuntüs The distribution sleek, accessible, equitable
Salut Nicolas,
Je n'ai jamais entendu parlé de ces jeux.
Peux-tu me dire comment tu as installé ces jeux, et quelle version tu as prise sur cette page ? https://www.openra.net/download/#linux
Ensuite je pourrais faire des tests, et aussi je suppose que tu utilises une EmmaDE4, sinon merci de me dire quelle version EmmaDE tu utilises ?


lapinkisskool

  • Newbie
  • *
    • Messages: 44
J'ai utilisé le dépôt de logiciels de l'OS. Comme mentionné dans le sujet, j'ai testé avec la DE3 32 bits 1.02 et la DE4 64 bits 1.00. J'ai eu le même message d'erreur dans les deux cas. sur ubuntu cela fonctionnait.
On le trouve dans la sous rubrique stratégie de la rubrique jeux.
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 960
    • Emmabuntüs The distribution sleek, accessible, equitable
Ok j'ai vu le soft dans le software-center et je regarderais cela demain.

Par contre, le plus simple c'est de télécharger ce fichier appimage https://github.com/OpenRA/OpenRA/releases/download/release-20210321/OpenRA-Dune-2000-x86_64.AppImage puis dans l'explorateur de fichier tu fais un cliques droit puis propriété en mettant ce fichier exécutable, puis après tu cliques en faisant exécuter ce fichier et dis moi si cela fonctionne ?

Sinon une doc sur comment utiliser les appimage : https://www.numetopia.fr/comment-installer-et-utiliser-des-appimage-sous-linux/


lapinkisskool

  • Newbie
  • *
    • Messages: 44
Arf ! Je vais chercher une version 32 bits parce que je n'ai pas accès aux 2 assus 64 bits.
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne



lapinkisskool

  • Newbie
  • *
    • Messages: 44
J'espère avoir accès ce weekend  à l'un des EEEPC 64bits pour pouvoir enfin tester.
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne


lapinkisskool

  • Newbie
  • *
    • Messages: 44
Ça y est j'ai pu tester sur 64 bits avec l'appimage. Le message d'erreur est le même. Étant donné  que j'ai enfin réussi à installer debian 11.1 sur mon PC principal, je vais tester de suite.

Cela fonctionne sous Debian 11.1 64 bits.
« Modifié: mars 12, 2022, 07:04:30 pm par lapinkisskool »
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 960
    • Emmabuntüs The distribution sleek, accessible, equitable
Personnellement, je vois que le fichier Appimage provenant ici : https://github.com/OpenRA/OpenRA/releases/download/release-20210321/OpenRA-Dune-2000-x86_64.AppImage fonctionne sur une EmmaDE4 1.01 64 bits, voir l'image ci-dessous.
Alors je ne comprends pas ce qui ne fonctionne pas chez vous ?
Vous parlez de quelle version d'Emmabuntus ?





lapinkisskool

  • Newbie
  • *
    • Messages: 44
il s'agit de la DE4 1.00 64 bits. La mise à jour a été faite avant.
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne


Patrick

  • Administrator
  • Hero Member
  • *****
    • Messages: 960
    • Emmabuntüs The distribution sleek, accessible, equitable
Je viens de repartir d'une EmmaDE4 1.00 vierge, et cela fonctionne sur la version EmmaDE4 1.00 vierge.
J'ai fait les mises à jour sur cette version, et cela fonctionne toujours.



Essayez de lancer comme cela l'AppImage dans un terminal au niveau du fichier AppImage :

./OpenRA-Dune-2000-x86_64.AppImage
Et vous devriez avoir cela :




lapinkisskool

  • Newbie
  • *
    • Messages: 44
Je viens de repartir d'une EmmaDE4 1.00 vierge, et cela fonctionne sur la version EmmaDE4 1.00 vierge.
J'ai fait les mises à jour sur cette version, et cela fonctionne toujours.



Essayez de lancer comme cela l'AppImage dans un terminal au niveau du fichier AppImage :

./OpenRA-Dune-2000-x86_64.AppImage
Et vous devriez avoir cela :



Je viens d'essayer sur l'EEEPC 1005PE, même conclusion, cela ne fonctionne pas. Je pense que c'est lié au matériel. ces PC restent limités et leur affichage est réduit, d'autres logiciels s'affichent bizarrement. Command and Conquer (même moteur que red alert et dune 2000) étant ancien, l'affichage devant peut être renvoyer un bug fait planter le programme. Cela fonctionne bien sur ma Debian 11.1 donc je ne pense pas qu'emmabuntüs déconne mais que les machines atypiques fassent planter le jeu.
Merci Patrick, au moins on aura tout essayé.
Le monde est peuplé d'imbéciles qui se battent contre des demeurés pour sauvegarder une société absurde - Jean Yanne